%exam_8_57
clear;
RGB=imread('lenna.bmp');
A=rgb2gray(RGB);
A=imcrop(A,[100,100,1024,1024]);
J=imnoise(A,'gaussian',0,0.03);
[K,noise]=wiener2(J, [5, 5]);
subplot(121);imshow(J); 
xlabel('(a) 含有高斯噪声图像','Fontsize',20);
subplot(122);imshow(K); 
xlabel('(b) 自适应滤波后的图像','Fontsize',20);

